Subject: bug#28236: 'configure --with-cairo' causes 'emacs -font' to fail

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Dec 2018 18:37:46 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Ari Roponen <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 12 Dec 2018 16:41:52 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So you are saying that the problem here is that Cairo can only work
> > with fonts known fontconfig, and cannot switch to font backend(s) that
> > bypass fontconfig?  If so, perhaps just an entry in PROBLEMS with the
> > above recipe would suffice as a workaround?
> 
> I find that surprising. The non-Cairo GTK build can use Xft and X font
> backends, what's different about Cairo?
> 
> (I just tried to set font-backend to '(ftcr x) on my Cairo build, and
> failed, so perhaps it really isnʼt supported).

I'm guessing that the other font backends use X calls that cannot be
supported with Cairo drawing, or maybe such support simply wasn't
coded yet.  But I'm not an expert on this stuff, so maybe I'm wrong.